open Core.Std

let doc = "Display documentation for the configuration file and other help"

let main () =
  protectx
    (Filename.temp_file "patdiff" ".man")
    ~f:(fun fn ->
      let readme = Text.Readme.readme in
      Out_channel.write_lines fn [readme];
      ignore (Unix.system (sprintf "groff -Tascii -man %s|less" fn));
    )
    ~finally:(fun fn ->
      Exn.handle_uncaught (fun () -> Unix.unlink fn) ~exit:false);
;;
